---
sidebar_label: Page.pdf
---

# Page.pdf() method

**Signature:**

```typescript
class Page {
  pdf(options?: PDFOptions): Promise<Buffer>;
}
```

## Parameters

| Parameter | Type                                    | Description       |
| --------- | --------------------------------------- | ----------------- |
| options   | [PDFOptions](./puppeteer.pdfoptions.md) | <i>(Optional)</i> |

**Returns:**

Promise&lt;Buffer&gt;
